Bug 1177487 - Review Request: golang-github-rakyll-globalconf - Effortlessly persist and read flag values from an ini config file
Summary: Review Request: golang-github-rakyll-globalconf - Effortlessly persist and re...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1177486
Blocks: 1175471
TreeView+ depends on / blocked
 
Reported: 2014-12-27 22:36 UTC by Jan Chaloupka
Modified: 2015-02-08 19:24 UTC (History)
1 user (show)

Fixed In Version: golang-github-rakyll-globalconf-0-0.1.git415abc3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-30 04:34:30 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2014-12-27 22:36:49 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-rakyll-globalconf/golang-github-rakyll-globalconf.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-rakyll-globalconf/golang-github-rakyll-globalconf-0-0.1.git415abc3.fc20.src.rpm

Description: Effortlessly persist and read flag values from an ini config file

Fedora Account System Username: jchaloup

$ rpmlint golang-github-rakyll-globalconf-0-0.1.git415abc3.fc20.src.rpm golang-github-rakyll-globalconf-devel-0-0.1.git415abc3.fc20.noarch.rpm golang-github-rakyll-globalconf.spec
golang-github-rakyll-globalconf.src: W: spelling-error Summary(en_US) ini -> uni, in, ii
golang-github-rakyll-globalconf.src: W: spelling-error Summary(en_US) config -> con fig, con-fig, configure
golang-github-rakyll-globalconf.src: W: spelling-error %description -l en_US ini -> uni, in, ii
golang-github-rakyll-globalconf.src: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
golang-github-rakyll-globalconf-devel.noarch: W: spelling-error Summary(en_US) ini -> uni, in, ii
golang-github-rakyll-globalconf-devel.noarch: W: spelling-error Summary(en_US) config -> con fig, con-fig, configure
golang-github-rakyll-globalconf-devel.noarch: W: spelling-error %description -l en_US ini -> uni, in, ii
golang-github-rakyll-globalconf-devel.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
2 packages and 1 specfiles checked; 0 errors, 8 warnings.

Upstream: https://github.com/rakyll/globalconf

Koji: depends on https://github.com/rakyll/globalconf, which has review request #1177486. Locally build succesfully.

Comment 1 Lokesh Mandvekar 2014-12-29 07:14:20 UTC
- Specfile looks good, conforms to current golang packaging drafts
- license is correct

** (the source doesn't contain a separate LICENSE file, so maybe we should cut out the License part from README.md and install it separately???)

Package approved.

Comment 2 Jan Chaloupka 2015-01-02 12:27:51 UTC
New Package SCM Request
=======================
Package Name: golang-github-rakyll-globalconf
Short Description: Effortlessly persist and read flag values from an ini config file
Upstream URL: https://github.com/rakyll/globalconf
Owners: jchaloup lsm5
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 3 Gwyn Ciesla 2015-01-02 14:35:32 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-01-20 15:55:56 UTC
golang-github-rakyll-globalconf-0-0.1.git415abc3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-rakyll-globalconf-0-0.1.git415abc3.fc20

Comment 5 Fedora Update System 2015-01-20 15:56:10 UTC
golang-github-rakyll-globalconf-0-0.1.git415abc3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-rakyll-globalconf-0-0.1.git415abc3.fc21

Comment 6 Fedora Update System 2015-01-20 15:56:25 UTC
golang-github-rakyll-globalconf-0-0.1.git415abc3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-rakyll-globalconf-0-0.1.git415abc3.el6

Comment 7 Fedora Update System 2015-01-21 23:07:58 UTC
golang-github-rakyll-globalconf-0-0.1.git415abc3.fc20 has been pushed to the Fedora 20 testing repository.

Comment 8 Fedora Update System 2015-01-30 04:34:30 UTC
golang-github-rakyll-globalconf-0-0.1.git415abc3.fc20 has been pushed to the Fedora 20 stable repository.

Comment 9 Fedora Update System 2015-01-30 04:34:37 UTC
golang-github-rakyll-globalconf-0-0.1.git415abc3.fc21 has been pushed to the Fedora 21 stable repository.

Comment 10 Fedora Update System 2015-02-08 19:24:00 UTC
golang-github-rakyll-globalconf-0-0.1.git415abc3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.